package com.ruoyi.project.plant.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TMtdConfig;

/**
 * 调度会议配置Mapper接口
 *
 * @author ssy
 * @date 2023-11-16
 */
public interface TMtdConfigMapper
{
    /**
     * 查询调度会议配置
     *
     * @param id 调度会议配置ID
     * @return 调度会议配置
     */
    public TMtdConfig selectTMtdConfigById(Long id);

    /**
     * 查询调度会议配置列表
     *
     * @param tMtdConfig 调度会议配置
     * @return 调度会议配置集合
     */
    @DataScope(deptAlias = "d")
    public List<TMtdConfig> selectTMtdConfigList(TMtdConfig tMtdConfig);

    /**
     * 新增调度会议配置
     *
     * @param tMtdConfig 调度会议配置
     * @return 结果
     */
    public int insertTMtdConfig(TMtdConfig tMtdConfig);

    /**
     * 修改调度会议配置
     *
     * @param tMtdConfig 调度会议配置
     * @return 结果
     */
    public int updateTMtdConfig(TMtdConfig tMtdConfig);

    /**
     * 删除调度会议配置
     *
     * @param id 调度会议配置ID
     * @return 结果
     */
    public int deleteTMtdConfigById(Long id);

    /**
     * 批量删除调度会议配置
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMtdConfigByIds(Long[] ids);
}
